unique_lock.h File Reference

Go to the source code of this file.

## Classes

class | std::unique_lock< _Mutex >

## Namespaces

| std

## Functions

template<typename _Mutex >
void | std::swap (unique_lock< _Mutex > &__x, unique_lock< _Mutex > &__y) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <mutex>.

Definition in file unique_lock.h.